Message: Re: Installing 4.9.6.p01 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: Installing 4.9.6.p01 

Forum: Installation and Configuration
Re: None Installing 4.9.6.p01 (C Mos)
Date: 18 Feb, 2013
From: Ben Morgan <Ben Morgan>

Hi Chris,

On Mon, 18 Feb 2013 16:55:36 GMT, C Mos wrote:
> Hello I am just trying to install the latest ver of geant4. I am
> migrating from 4.9.4 to 4.9.6. i can see there is this new feature to
> install using cmake. I am just having issues trying following the
> instructions provided at:
> 
>   http://geant4.web.cern.ch/geant4/UserDocumentation/UsersGuides/InstallationGuide/html/ch02.html
> 
> I am having problems following the instructions in "To configure the
> build, change into the build directory and run CMake: "
> 
> The main problem is that there is not make target. Inside the geant4
> source code there is not target to make, there is not makefile or
> GNUmakefile or anything alike. By any chance, did they implemented more
> changes to geant4 install and they forget to update the installation
> guide?

The guide is up-to-date for the current release, including the latest patch version 9.6.1 that you're working with. With CMake, you have to run the cmake program first to generate a Makefile(s) for Geant4. The section of the installation guide describes how to do this, note that it's done in a walkthrough style and each line beginning with a $ indicates the prompt and a command to be typed in. As Paul noted, if you try running cmake as described in that section, you should be able to generate a Makefile and hence build the toolkit.

Cheers,

Ben.

 Add Message Add Message
to: "Re: Installing 4.9.6.p01"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]